Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 9e4fd1ddec881550116572abf3d4c0dedb07b1b8)
+++ src/unittests/Makefile.am	(revision f649ded43f091c7788ac076fc2e73fb8fee4bd35)
@@ -31,5 +31,6 @@
   TesselationUnitTest \
   Tesselation_BoundaryTriangleUnitTest \
-  Tesselation_InOutsideUnitTest
+  Tesselation_InOutsideUnitTest \
+  WorldTimeUnitTest
 
 
@@ -89,5 +90,6 @@
   Tesselation_InsideOutsideUnitTest.cpp \
   ../LinearAlgebra/unittests/VectorContentUnitTest.cpp \
-  ../LinearAlgebra/unittests/VectorUnitTest.cpp
+  ../LinearAlgebra/unittests/VectorUnitTest.cpp \
+  WorldTimeUnitTest.cpp
 
 TESTHEADERS = \
@@ -126,5 +128,6 @@
   Tesselation_InsideOutsideUnitTest.hpp \
   ../LinearAlgebra/unittests/VectorContentUnitTest.hpp \
-  ../LinearAlgebra/unittests/VectorUnitTest.hpp
+  ../LinearAlgebra/unittests/VectorUnitTest.hpp \
+	WorldTimeUnitTest.hpp
   
 
@@ -207,4 +210,12 @@
 Tesselation_InOutsideUnitTest_LDADD = ${ALLLIBS}
 
+WorldTimeUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	WorldTimeUnitTest.cpp \
+	WorldTimeUnitTest.hpp \
+	../WorldTime.cpp \
+	../WorldTime.hpp
+WorldTimeUnitTest_LDADD = ${BOOST_LIB}
+
+
 TestRunner_SOURCES = TestRunnerMain.cpp $(TESTSOURCES) $(TESTHEADERS)
 TestRunner_LDADD = ${UILIBS} ${ALLLIBS}
Index: src/unittests/WorldTimeUnitTest.cpp
===================================================================
--- src/unittests/WorldTimeUnitTest.cpp	(revision f649ded43f091c7788ac076fc2e73fb8fee4bd35)
+++ src/unittests/WorldTimeUnitTest.cpp	(revision f649ded43f091c7788ac076fc2e73fb8fee4bd35)
@@ -0,0 +1,83 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * WorldTimeUnitTest.cpp
+ *
+ *  Created on: Oct 29, 2009
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include <iostream>
+#include <stdio.h>
+#include <cstring>
+
+#include "CodePatterns/Assert.hpp"
+
+#include "WorldTime.hpp"
+
+#include "WorldTimeUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+//!< tremolo's standard time step is 1.0180505e-14 s which is ... in atomictime
+const double TremolosTIME = 420.87606;
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( WorldTimeTest );
+
+
+void WorldTimeTest::setUp()
+{
+  Time = WorldTime::getPointer();
+};
+
+
+void WorldTimeTest::tearDown()
+{
+  WorldTime::purgeInstance();
+};
+
+/** Tests whether CurrentTime is accessible
+ */
+void WorldTimeTest::CurrentTimeTest()
+{
+  // check default is 0
+  CPPUNIT_ASSERT_EQUAL (0, Time->getTime() );
+
+  // set and check
+  Time->setTime(10);
+  CPPUNIT_ASSERT_EQUAL (10, Time->getTime() );
+};
+
+/** Tests whether CurrentTime is accessible
+ */
+void WorldTimeTest::StepWidthTest()
+{
+  // check default is 0
+  CPPUNIT_ASSERT_EQUAL (0., Time->getStepWidth() );
+
+  // set and check
+  Time->setStepWidth(TremolosTIME);
+  CPPUNIT_ASSERT_EQUAL (TremolosTIME, Time->getStepWidth() );
+};
+
Index: src/unittests/WorldTimeUnitTest.hpp
===================================================================
--- src/unittests/WorldTimeUnitTest.hpp	(revision f649ded43f091c7788ac076fc2e73fb8fee4bd35)
+++ src/unittests/WorldTimeUnitTest.hpp	(revision f649ded43f091c7788ac076fc2e73fb8fee4bd35)
@@ -0,0 +1,41 @@
+/*
+ * WorldTimeUnitTest.hpp
+ *
+ *  Created on: Oct 29, 2009
+ *      Author: heber
+ */
+
+#ifndef WORLDTIMEUNITTEST_HPP_
+#define WORLDTIMEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+
+class WorldTime;
+
+/********************************************** Test classes **************************************/
+
+class WorldTimeTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( WorldTimeTest) ;
+    CPPUNIT_TEST ( CurrentTimeTest );
+    CPPUNIT_TEST ( StepWidthTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void CurrentTimeTest();
+      void StepWidthTest();
+
+private:
+      WorldTime *Time;
+};
+
+#endif /* WORLDTIMEUNITTEST_HPP_ */
